package com.miaxis.app.controller.sms;

import com.miaxis.app.sms.ISmsService;
import com.miaxis.common.constant.Constants;
import com.miaxis.common.core.domain.Response;
import com.miaxis.common.core.domain.entity.SysUser;
import com.miaxis.common.utils.SecurityUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author wwl
 * @Date 2020/12/23
 * @Version 1.0
 */
@RestController
@RequestMapping(Constants.OPEN_PREFIX+"/sms")
@Api(tags={"【短信服务】Controller"})
@AllArgsConstructor
public class SmsController {
    private final ISmsService smsService;


    /**
     * 获取短信验证码
     * @return
     */
    @ApiOperation("获取短信验证码")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "type",value = "login:用户登录验证码、modify:修改手机验证码" ,dataType = "String",required = true),
            @ApiImplicitParam(name = "phone", value = "手机号码", required = true, dataType = "String")
    })
    @PostMapping(value = "/sendVerificationCode")
    public Response sendVerificationCode(String type,String phone){
        //获取当前用户
        SysUser user = SecurityUtils.getLoginUser().getUser();

        return smsService.sendVerificationCode(user,type,phone);
    }




}
